# OgreResourceBackgroundQueue.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreCommon.h"`
`#include "OgreSingleton.h"`
`#include "OgreResource.h"`
`#include "OgreWorkQueue.h"`

Go to the source code of this file.

## Classes

struct | Ogre::BackgroundProcessResult
| Encapsulates the result of a background queue request. More...
class | Ogre::ResourceBackgroundQueue
| This class is used to perform Resource operations in a background thread. More...
class | Ogre::ResourceBackgroundQueue::Listener
| This abstract listener interface lets you get notifications of completed background processes instead of having to poll ticket statuses. More...
struct | Ogre::ResourceBackgroundQueue::ResourceRequest
| Encapsulates a queued request for the background queue. More...
struct | Ogre::ResourceBackgroundQueue::ResourceResponse
| Struct that holds details of queued notifications. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef WorkQueue::RequestID | Ogre::BackgroundProcessTicket
| Identifier of a background process.

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:09